Report Descriptions and Configuration
Prev | Chapter 16. Syslog Reports | Next

## Report Descriptions and Configuration

### Messages by Facility Syslog Report

ID: `messages-by-facility`

Chart: None

This report specification will generate a report showing the number of messages logged to each facility.

This report doesn't have any parameters.

### Messages by Level Syslog Report

ID: `messages-by-level`

Chart: None

This report specification will generate a report showing the number of messages logged to each syslog level.

This report doesn't have any parameters.

### Messages by Period Syslog Report

ID: `messages-by-period`

Chart: None

This report specification will generate a report showing the number of messages logged by configurable time period.

Parameters

`period`

  The period used to aggregate the events.

  Defaults to `1h`.

### Summary Syslog Report

ID: `syslog-summary`

Chart: None

This report specification will generate a report showing some summary statistics on the total number of messages, processes and hosts.

This report doesn't have any parameters.

### Top Hosts Syslog Report

ID: `top-hosts`

Chart: None

This report specification will generate a report showing the hosts that logged the most messages.

Parameters

`hosts_to_show`

  The number of hosts to include in the report.

  Defaults to `10`.

### Top Messages by Period Syslog Report

ID: `top-messages-by-period`

Chart: None

This report specification will generate a report showing the messages logged most often during each period. The number of messages to include as well as the period over which events are aggregated are configurable.

Parameters

`messages_to_show`

  The number of messages to include for each period in the report.

  Defaults to `10`.

`period`

  The period used to aggregate the events.

  Defaults to `1h`.

### Top Messages by Process Syslog Report

ID: `top-messages-by-process`

Chart: None

This report specification will generate a report showing the the messages that were logged the most number of times by each process. The number of messages to display and the number of processes to include in the report are customizable.

Parameters

`processes_to_show`

  The number of processes to include in the report.

  Defaults to `30`.

`messages_to_show`

  The number of messages to include for each process in the report.

  Defaults to `10`.

### Top Messages Syslog Report

ID: `top-messages`

Chart: None

This report specification will generate a report showing the the messages that were logged the most number of times. The number of messages to display is customizable.

Parameters

`messages_to_show`

  The number of messages to include in the report.

  Defaults to `50`.

### Top Processes by Period Syslog Report

ID: `top-processes-by-period`

Chart: None

This report specification will generate a report showing the processes that logged the most messages during each period. The number of process to include as well as the period over which events are aggregated are configurable.

Parameters

`processes_to_show`

  The number of processes to include for each period in the report.

  Defaults to `10`.

`period`

  The period used to aggregate the events.

  Defaults to `1h`.

### Top Processes Syslog Report

ID: `top-processes`

Chart: None

This report specification will generate a report showing the processes that logged the most messages.

Parameters

`processes_to_show`

  The number of processes to include in the report.

  Defaults to `10`.

Prev | Up | Next
Chapter 16. Syslog Reports | Home | Filter Descriptions and Configuration